.aw-textmedia-wrapper {
    display: flex;
    flex-direction: row;
    gap: calc(var(--section-padding-left-right) * 2.5);
}

.aw-textmedia-wrapper.text-image-space-less-space {
    gap: calc(var(--section-padding-left-right));
}

.aw-textmedia-wrapper.image-above-left,
.aw-textmedia-wrapper.image-above-right,
.aw-textmedia-wrapper.image-above-center,
.aw-textmedia-wrapper.image-below-left,
.aw-textmedia-wrapper.image-below-right,
.aw-textmedia-wrapper.image-below-center {
    flex-direction: column;
}

.aw-textmedia-wrapper.image-width-100 .text {
    width: 100%;
}

.aw-textmedia-wrapper.image-width-30 .media {
    width: 35%;
}

.aw-textmedia-wrapper.image-width-30 .text {
    width: 65%;
}

.aw-textmedia-wrapper.image-width-50 .media,
.aw-textmedia-wrapper.image-width-50 .text {
    width: 50%;
}

.aw-textmedia-wrapper.image-width-70 .media {
    width: 65%;
}

.aw-textmedia-wrapper.image-width-70 .text {
    width: 35%;
}

.aw-textmedia-wrapper.image-left .text:not(.aw-textmedia-wrapper.image-left.image-width-100 .text),
.aw-textmedia-wrapper.image-left-center .text:not(.aw-textmedia-wrapper.image-left-center.image-width-100 .text),
.aw-textmedia-wrapper.image-right .text:not(.aw-textmedia-wrapper.image-right.image-width-100 .text),
.aw-textmedia-wrapper.image-right-center .text:not(.aw-textmedia-wrapper.image-right-center.image-width-100 .text) {
    margin: calc(var(--section-padding-left-right)) 0;
}


.aw-textmedia-wrapper .media {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.aw-textmedia-wrapper.img-align-center .media {
    align-items: center;
}

.aw-textmedia-wrapper.img-align-right .media {
    align-items: end;
}

.aw-textmedia-wrapper.image-above-left .media,
.aw-textmedia-wrapper.image-below-left .media {
    align-items: start;
}

.aw-textmedia-wrapper.image-above-right .media,
.aw-textmedia-wrapper.image-below-right .media {
    align-items: end;
}

.aw-textmedia-wrapper .media img {
    border-radius: var(--cd-border-radius);
}

.aw-textmedia-wrapper.image-right .media img,
.aw-textmedia-wrapper.image-right-center .media img {
    max-width: 100%;
    height: auto;
}

.aw-textmedia-wrapper.image-left,
.aw-textmedia-wrapper.image-left-center {
    flex-direction: row-reverse;
}

.aw-textmedia-wrapper.image-above-center,
.aw-textmedia-wrapper.image-above-left,
.aw-textmedia-wrapper.image-above-right {
    flex-direction: column-reverse;
}

.aw-textmedia-wrapper.image-above-center .text,
.aw-textmedia-wrapper.image-above-center .media,
.aw-textmedia-wrapper.image-above-left .text,
.aw-textmedia-wrapper.image-above-left .media,
.aw-textmedia-wrapper.image-above-right .text,
.aw-textmedia-wrapper.image-above-right .media,
.aw-textmedia-wrapper.image-below-center .text,
.aw-textmedia-wrapper.image-below-center .media,
.aw-textmedia-wrapper.image-below-left .text,
.aw-textmedia-wrapper.image-below-left .media,
.aw-textmedia-wrapper.image-below-right .text,
.aw-textmedia-wrapper.image-below-right .media {
    width: 100%;
}

.aw-textmedia-wrapper .media.col-2 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.aw-textmedia-wrapper .media.col-3 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.aw-textmedia-wrapper .media.col-4 {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.aw-textmedia-wrapper.image-left-center .text,
.aw-textmedia-wrapper.image-right-center .text {
    display:flex;
    align-items: center;
}

/* lightbox */
.aw-textmedia-wrapper a[data-fancybox]:not(.aw-textmedia-wrapper a[data-fancybox-content]) {
    cursor: zoom-in;
}

.aw-textmedia-wrapper a[data-fancybox] img {
    box-shadow: var(--cd-shadow);
}

.aw-textmedia-wrapper a[data-fancybox]:focus {
    outline: 0;
}

.aw-textmedia-wrapper figure {
    position: relative;
}

/* Bildbeschreibung */
.aw-textmedia-wrapper figure figcaption {
    opacity: 0.5;
    font-size: 1rem;
    padding: 0.5rem 1rem;
}

/* Bild link */
.aw-textmedia-wrapper .figlink {
    display: flex;
    position: absolute;
    bottom: 1rem;
    right: 1rem;
    gap: 0.5rem;
    text-decoration: none;
    align-items: center;
    border: 2px solid var(--cd-font-main-color);
    border-radius: var(--cd-button-radius);
    box-shadow: var(--cd-shadow);
    background-color: rgb(255 255 255 / 0.2);
    backdrop-filter: blur(10px);
    padding: 1rem 2.5rem;
    font-size: 1rem;
}


/* 64rem (1024px) */
@media (width < 64rem) {

    .aw-textmedia-wrapper {
        gap: 1.5rem;
    }

}

/* 48rem (768px) */
@media (width < 48rem) {

    .aw-textmedia-wrapper {
        flex-direction: column;
    }

    .aw-textmedia-wrapper.image-left,
    .aw-textmedia-wrapper.image-left-center {
        flex-direction: column-reverse;
    }

    .aw-textmedia-wrapper.image-width-30 .text,
    .aw-textmedia-wrapper.image-width-30 .media,
    .aw-textmedia-wrapper.image-width-50 .media, 
    .aw-textmedia-wrapper.image-width-50 .text,
    .aw-textmedia-wrapper.image-width-70 .media, 
    .aw-textmedia-wrapper.image-width-70 .text {
        width: 100%;
    }

    .aw-textmedia-wrapper.image-left .text:not(.aw-textmedia-wrapper.image-left.image-width-100 .text),
    .aw-textmedia-wrapper.image-left-center .text:not(.aw-textmedia-wrapper.image-left-center.image-width-100 .text),
    .aw-textmedia-wrapper.image-right .text:not(.aw-textmedia-wrapper.image-right.image-width-100 .text),
    .aw-textmedia-wrapper.image-right-center .text:not(.aw-textmedia-wrapper.image-right-center.image-width-100 .text) {
        margin: 0;
    }
}  

/* 40rem (640px) */
@media (width < 40rem) {

        .aw-textmedia-wrapper .media.col-2,
        .aw-textmedia-wrapper .media.col-3,
        .aw-textmedia-wrapper .media.col-4 {
            grid-template-columns: repeat(1, 1fr);
        }

}

